---
lang: en
title: 'API docs: core.lifecycleobserverregistry.start'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/core
permalink: /doc/en/lb4/apidocs.core.lifecycleobserverregistry.start.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/core](./core.md) &gt; [LifeCycleObserverRegistry](./core.lifecycleobserverregistry.md) &gt; [start](./core.lifecycleobserverregistry.start.md)

## LifeCycleObserverRegistry.start() method

Notify all life cycle observers by group of `start`

**Signature:**

```typescript
start(): Promise<void>;
```
**Returns:**

Promise&lt;void&gt;


